// components/navs/index.js
import Config from '../../utils/Config.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  // 分类点击
  catalogClick: function (event) {
    let _catalog = event.currentTarget.dataset.catalog
    let _ptitle = event.currentTarget.dataset.name
    wx.navigateTo({
      url: '/pages/search/list/list?catalog=' + _catalog + '&ptitle=' + _ptitle,
    })
  },

  // 美行攻略
  gotoGuides: function (event) {
    wx.navigateTo({
      url: '/pages/guide/index',
    })
  },

  // 商家合作
  gotoShopJoin: function (event) {
    let _url = ""
    wx.navigateTo({
      url: '/pages/webview/index?url=' + Config.shopJoinPath,
    })
  }

})